Subject: bug#38169: Idea: custom From names ("From Personalities")

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 11 Nov 2019 09:18:20 -0800

積丹尼 Dan Jacobson <[email-masked]> writes:

> Just the other day I was reading (info "(message) Reply") and I suddenly
> had a new idea: "From personalities". [Feature request].
>
> Let's say we are replying to [email-masked].
> Well, we want our From: headers to say
> From: James Fartdom <[email-masked]>,
> or even
> From: Your loving son James <[email-masked]>.
>
> But let's instead say we are replying to [email-masked].
> Well in that case we want our From: header to look like
> From: Chairman Fartdom <[email-masked]>,
> or even
> From: Chairman J. Fartdom <[email-masked]>.
> or even
> From: Military Purchasing Director <[email-masked]>.
>
> Well all this could be accomplished with an alist of patterns of who we
> are replying to, vs. what header we should use, and what is the default
> if no matches.
>
> Note: what if it is a wide reply, and we are replying to both your mom,
> and the CEO? So maybe ask the user what From to use.

This much is already doable, with a clause in `gnus-posting-styles':

((header "From" "[email-masked]")
 (address "Chairman Fartdom <[email-masked]"))

The posting styles can be a nested tree of conditions, so you can write
your own rule for what happens when you're replying to both your mom and
the CEO.

> Also note, this all will work great when *replying* to a message,
> but how about when composing a *new* message?

This Gnus doesn't provide out of the box, unless you compose from the
Group buffer with point on a group, and give a prefix arg to "m" or "a".
Then the group under point is used for rules.

But I know that there's more than one external package that does this,
one is called "gnus-pers", I think.